﻿.typeaheadloader {
    background: url('/Content/images/ajax-loader.gif') no-repeat right center !important;
}


/*-------------------------------------------------------------------------------------------Below is place holder css By Tony Sebastian*/
.placeholder {
    color: #999;
    opacity: 0.6;
    font-style: italic;
    font-size: smaller;
}

.form-control:-moz-placeholder {
    color: #999;
    opacity: 0.6;
    font-style: italic;
}

.form-control::-moz-placeholder {
    color: #999;
    opacity: 0.6;
    font-style: italic;
}

.form-control:-ms-input-placeholder {
    color: #999;
    opacity: 0.6;
    font-style: italic;
}

.form-control::-webkit-input-placeholder {
    color: #999;
    opacity: 0.6;
    font-style: italic;
}
/*-------------------------------------------------------------------------------------------Above is place holder css*/

/* styles for validation helpers */
.field-validation-error {
    color: #b94a48;
}

.field-validation-valid {
    display: none;
}

input.input-validation-error {
    border: 1px solid #b94a48;
}

input[type="checkbox"].input-validation-error {
    border: 0 none;
}

.validation-summary-errors {
    color: #b94a48;
}

.validation-summary-valid {
    display: none;
}

/*.nopadding{
    padding-left:0;
    padding-right:0;

}*/


.checkbox {
    padding-left: 20px;
}

/*td.center{
    text-align: center;
}*/


/**************************************************************************************************************Tony Added Below CSS for Validation Message Styling****************************************/
.message {
    color: red;
    font-size: smaller;
    border: solid;
    border-width: 1px;
    border-color: red;
    display: none;
}
/**************************************************************************************************************Tony Added Below CSS for Flash Message Styling****************************************/
.flash {
    padding: 8px 35px 8px 14px;
    margin-bottom: 18px;
    border: 1px solid;
}

.alert-message {
    padding: 8px 5px 2px 8px;
    margin-bottom: 18px;
    border: 1px solid;
}

.success {
    color: #FFFFFF;
    background-color: #5cb85c;
    border-color: #808080;
}

.info {
    color: #FFFFFF;
    background-color: #5bc0de;
    border-color: #BCE8F1;
}

.warning {
    color: #000000;
    background-color: #f0ad4e;
    border-color: #FBEED5;
}

.error {
    color: #FFFFFF;
    background-color: #d9534f;
    border-color: #EED3D7;
}

.exception {
    color: #FFFFFF;
    background-color: #d9534f;
    border-color: #EED3D7;
}

.table {
    /*table-layout: fixed;*/
    word-wrap: break-word;
}

.ms-parent {
    word-wrap: normal;
}
.ms-choice{
    border-radius:0px!important;
}

/**************************************************************************************************************Tony Added Above CSS for Flash Message Styling****************************************/

/**************************************************************************************************************Tony Added Below CSS for Web Grid Table Styling****************************************/
/*table
    {
        font-family: verdana,arial,sans-serif;
        font-size: 11px;
        color: #333333;
        border-width: 1px;
        border-color: #999999;
        border-collapse: collapse;
        width:100%;
    }
    table th
    {
        background: #bce8f1;
        border-width: 1px;
        padding: 8px;
        border-style: solid;
        border-color: #999999;
    }
    table td
    {
  
        border-width: 1px;
        padding: 8px;
        border-style: solid;
        border-color: #999999;
    }
    .WebGridfooter
    {
        text-align: center;
        font-size:medium;
    }

    .WebGridHeader
    {
        font-family: verdana,arial,sans-serif;
        font-size: 11px;
        border-style:solid;
        border-width: 1px;
        border-color: #999999;
        border-collapse: collapse;
        width:100%;
        background: #3c763d;
    }

    .alternatingRowStyle
    {
         background: #f5f5f5;
    }*/
/**************************************************************************************************************Tony Added Above CSS for Web Grid Table Styling****************************************/


/* For EY layout */
.site-title {
    padding-right: 20px;
    margin-top: 12px;
}

label {
    font-weight: normal;
}

body {
    font-family: "NotoSansRegular" !important;
}

    body.normal {
        /*font-family:NotoSans Regular;*/
        /*font-family:"Helvetica Neue", Helvetica, Arial, sans-serif;*/
        font-size: 13px;
        color: #777;
    }

/*.nav-pills > li > a
{
    font-size : 12px;
}

.nav > li > a 
{
  position: relative;
  display: block;
  padding: 10px 10px;
  font-weight:500;
  font-size:14px;
}*/
/*.navbar
{
    min-height:40px;
    margin-bottom:0px;
    border-radius:0px;
}

.navbar-collapse
{
    max-height: 340px;
    padding-right: 0px;
    padding-left: 5px;
}*/
/*.system-menu
{
    padding-top : 5px !important;
    padding-bottom : 5px !important;
     color : #369 !important;
}*/

/*.dropdown-menu
{
    font-size:13px;
}*/

.panel-title {
    font-size: 13px;
}

.form-control {
    font-size: 13px;
    /*font-family:EYInterstate;*/
    padding: 3px 10px;
}
/*.btn 
{
font-size : 13px;

}*/
.panel-heading {
    padding: 5px 15px;
}

.panel {
    margin-top: 10px;
    margin-bottom: 15px;
}

/*.dropdown-menu > .active > a,
.dropdown-menu > .active > a:hover,
.dropdown-menu > .active > a:focus {
  color: white;
  background-color: #333333;
}*/

.pagination > .active > a,
.pagination > .active > span,
.pagination > .active > a:hover,
.pagination > .active > span:hover,
.pagination > .active > a:focus,
.pagination > .active > span:focus {
    background-color: #369;
    border-color: #369;
}

.pagination {
    margin: 5px 5px;
}

/*.btn-primary {
    background-color: #369;
}*/


.nopadding {
    padding: 0;
}

.breadcrumb {
    margin-bottom: 10px;
    padding: 4px 15px;
    font-size: 11px;
}

.container .credit {
    margin: 10px 0;
}

.tablebreakword {
    table-layout: fixed;
    word-wrap: break-word;
}

.text-primary {
    color: #369;
}

.btn-header {
    margin-top: 10px;
}

h1, h2, h3 {
    margin-top: 10px;
}

.pagination {
    display: table-row;
}


/*.btn-ey {
    color: #ffffff;
    background-color: #428bca;
    border-color: #357ebd;
}

    .btn-ey:hover,
    .btn-ey:focus,
    .btn-ey:active,
    .btn-ey.active,
    .open .dropdown-toggle.btn-ey {
        color: #ffffff;
        background-color: #3276b1;
        border-color: #285e8e;
    }

    .btn-ey:active,
    .btn-ey.active,
    .open .dropdown-toggle.btn-ey {
        background-image: none;
    }

    .btn-ey.disabled,
    .btn-ey[disabled],
    fieldset[disabled] .btn-ey,
    .btn-ey.disabled:hover,
    .btn-ey[disabled]:hover,
    fieldset[disabled] .btn-ey:hover,
    .btn-ey.disabled:focus,
    .btn-ey[disabled]:focus,
    fieldset[disabled] .btn-ey:focus,
    .btn-ey.disabled:active,
    .btn-ey[disabled]:active,
    fieldset[disabled] .btn-ey:active,
    .btn-ey.disabled.active,
    .btn-ey[disabled].active,
    fieldset[disabled] .btn-ey.active {
        background-color: #428bca;
        border-color: #357ebd;
    }

    .btn-ey .badge {
        color: #428bca;
        background-color: #fff;
    }*/

.wraptext {
    word-wrap: break-word;
}

.required:after {
    content: "*";
    font-weight: bold;
    color: red;
}

.embed-responsive-40 {
    padding-bottom: 40%;
}

.currentWeek {
    font-weight: bold;
    color: blue;
}

/*.form-label
    {
        font-size:12px;
       
    }*/
/* For EY layout */

/* For Multilevel Menu */
.dropdown-submenu {
    position: relative;
}

    .dropdown-submenu > .dropdown-menu > li > a:hover, .dropdown-submenu > .dropdown-menu > li > a:focus {
        text-decoration: none;
        background-color: #1b1b1b !important;
        color: #fff;
    }


    .dropdown-submenu > .dropdown-menu {
        background-color: #000;
    }

        .dropdown-submenu > .dropdown-menu > li > a {
            display: block;
            padding: 8px 20px;
            clear: both;
            font-weight: normal;
            line-height: 1.0;
            white-space: nowrap;
            border-top: 1px solid #888;
            color: silver;
            height: 50px;
            line-height: 1.4285;
            padding: 15px 20px;
        }


    .dropdown-submenu > .dropdown-menu {
        top: 0;
        left: 100%;
        margin-top: 0px;
        margin-left: -1px;
        -webkit-border-radius: 0;
        -moz-border-radius: 0;
        border-radius: 0;
    }

    .dropdown-submenu:hover > .dropdown-menu {
        display: block;
    }

    .dropdown-submenu > a:after {
        display: block;
        content: " ";
        float: right;
        width: 0;
        height: 0;
        border-color: transparent;
        border-style: solid;
        border-width: 5px 0 5px 5px;
        border-left-color: #ccc;
        margin-top: 5px;
        margin-right: -10px;
    }

    .dropdown-submenu:hover > a:after {
        border-left-color: #fff;
    }

    .dropdown-submenu.pull-left {
        float: none;
    }

        .dropdown-submenu.pull-left > .dropdown-menu {
            left: -100%;
            margin-left: 10px;
            -webkit-border-radius: 6px 0 6px 6px;
            -moz-border-radius: 6px 0 6px 6px;
            border-radius: 6px 0 6px 6px;
        }

/* For Multilevel Menu */


.timesheetTable td {
    padding: 0px !important;
    text-align: center !important;
    vertical-align: middle !important;
}

.timesheetTable th {
    background-color: #d9d9d9;
    text-align: center !important;
    vertical-align: middle !important;
}


a.disabled {
    text-decoration: none;
    cursor: not-allowed;
}

/*multi dropdown*/
.container-multi {
    font-size: 13px;
    position: static;
    display: inline-block;
    width: 93% !important;
    zoom: 1;
    display: inline;
}

    .container-multi ul {
        /*border: 1px solid #aaa;*/
        margin: 0;
        padding: 0;
        cursor: text;
        overflow: hidden;
        width: 99%;
        height: auto !important;
        height: 1%; /*min-height: 15px;*/
        position: relative;
    }

    .container-multi li {
        float: left;
        list-style: none;
        color: #333;
        border: 1px solid #b4b4b4;
        line-height: 13px;
        padding: 3px 19px 3px 6px;
        margin: 3px 0 3px 5px;
        position: relative;
        font-size: 1em;
        font-weight: normal;
    }

.search-multi-close {
    display: block;
    position: absolute;
    right: 3px;
    top: 4px;
    width: 12px;
    height: 13px;
    font-size: 0px;
    background-image: url(themes/base/images/ui-icons_888888_256x240.png);
    background-position: -99px -130px; /*background: url(chosen-sprite.png) right top no-repeat;*/
}

    .search-multi-close:hover {
        background-image: url(themes/base/images/ui-icons_222222_256x240.png); /*background-position: -99px -130px;*/
    }


.spreadSheet {
    width: 100% !important;
    margin-left: 1em;
    margin-right: 7em;
}

.controlPanel {
    width: 100%;
    margin-left: 1em;
    margin-right: 7em;
    border: 1px solid #7b8596;
}

.sectionHeader {
    width: 100%;
    background-color: #aec8f2;
    font: bold 12px arial;
    text-align: center;
    margin-right: 0px !important;
    margin-left: 0px !important;
}
/*.required{
    color:red;
}*/
.sectionControlContainer {
    border-right: 1px solid #7b8596;
}

.footerPadding{
    padding-left:25px;
    padding-right:15px;
    padding-bottom:15px;
}

/* Loader Start*/
.blockui-spinner {
    margin: 100px auto;
    width: 40px;
    height: 40px;
    position: relative;
    text-align: center;
    -webkit-animation: rotate 2.0s infinite linear;
    animation: rotate 2.0s infinite linear;
}

.dot1, .dot2 {
    width: 60%;
    height: 60%;
    display: inline-block;
    position: absolute;
    top: 0;
    background-color: #ffe600; 
    border-radius: 100%;
    -webkit-animation: bounce 2.0s infinite ease-in-out;
    animation: bounce 2.0s infinite ease-in-out;
}

.dot2 {
    top: auto;
    bottom: 0px;
    -webkit-animation-delay: -1.0s;
    animation-delay: -1.0s;
}

@-webkit-keyframes rotate {
    100% {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes rotate {
    100% {
        transform: rotate(360deg);
        -webkit-transform: rotate(360deg);
    }
}

@-webkit-keyframes bounce {
    0%, 100% {
        -webkit-transform: scale(0.0);
    }

    50% {
        -webkit-transform: scale(1.0);
    }
}

@keyframes bounce {
    0%, 100% {
        transform: scale(0.0);
        -webkit-transform: scale(0.0);
    }

    50% {
        transform: scale(1.0);
        -webkit-transform: scale(1.0);
    }
}

/*Loader End*/

.navbar-nav > li > a
{
    padding: 10px !important;
}
.navbar-nav {
    margin: 4.5px -15px !important;
}
#navbar {
    margin-top:5px !important;
}
textarea {
    resize: none;
}